<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mobile_menuses', function (Blueprint $table) {
            $table->increments('menu_id');
            $table->string('prefix',10)->nullable();
            $table->string('menu_name',50)->nullable();
            $table->string('menu_index',10)->nullable();
            $table->integer('order_ts')->default(0);
            $table->integer('status')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mobile_menuses');
    }
};
